%define current_version 1.0.3

Name: coripper
Version: %{current_version}
Release:        2%{?dist}
License: GPLv2
Group: Applications
Summary: coripper utility for coredump shinking
Source: %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-root
ExclusiveArch: x86_64

BuildRequires: elfutils-libelf-devel
BuildRequires: boost-devel

%description
This package contains coredump shrinking utility.

%prep
%setup -q

%build
make %{?_smp_mflags}

%install
rm -rf ${RPM_BUILD_ROOT}

mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man8

make install DESTDIR="${RPM_BUILD_ROOT}"

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%{_bindir}/coripper
%{_mandir}/man8/coripper.8*

%changelog
* Wed Jun 08 2016 Konstantin Volkov <wolf@virtuozzo.com> 1.0.3-2
- Technical rebuild, see #PSBM-47948

* Fri Oct 02 2015 Dmitry Andreev <dandreev@odin.com> 1.0.3
 - initial source code commit
 - add makefiles
 - add man
